using System;

namespace Takmicenje2
{
    class Program
    {
        static void Main(string[] args)
        {
            string[] s = Console.ReadLine().Split();
            int n = int.Parse(s[0]);
            int m = int.Parse(s[1]);
            int[] d = new int[n];
            int[] u = new int[n];
            for (int i = 0; i <n;i++)
            {
                s = Console.ReadLine().Split();
                d[i]= int.Parse(s[0]);
                u[i] = int.Parse(s[1]);
            }
            for(int j=0;j<m;j++)
            {
                s = Console.ReadLine().Split();
                int br = 0;
                int r = int.Parse(s[2]);
                for (int i=int.Parse(s[0]) - 1; i<= int.Parse(s[1]) -1;i++)
                {
                    if (d[i] <= r && u[i] >= r) br++;
                }
                Console.WriteLine(br);
            }
        }
    }
}